Method: projects.locations.experiments.delete

Deletes an Experiment record. The Experiment must be in a COMPLETED state before it can be deleted.

HTTP request

DELETE https://faulttesting.googleapis.com/v1alpha/{name=projects/*/locations/*/experiments/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the experiment to delete. Format: projects/{projectId}/locations/{location}/experiments/{experimentId}.

Query parameters

Parameters
force

boolean

Optional. Should always be set to true. If set to true, any affected resources under this experiment will also be deleted. Otherwise, the request will only work if the experiment has no affected resources.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • faulttesting.experiments.delete

For more information, see the IAM documentation.